Skip to content
Permalink
Browse files
DOSGI-279 - Upgrade to CXF 3.2.2
  • Loading branch information
Amichai Rothman committed May 28, 2019
1 parent ef1c004 commit 96315b1ca5a584d5b7418a463329465be7b68a59
Showing 4 changed files with 33 additions and 16 deletions.
@@ -79,18 +79,18 @@
org.apache.aries.rsa.discovery.zookeeper;version='[1.12.0,1.13.0)',\
org.apache.aries.rsa.spi;version='[1.12.0,1.13.0)',\
org.apache.aries.rsa.topology-manager;version='[1.12.0,1.13.0)',\
org.apache.cxf.cxf-core;version='[3.2.5,3.3.0)',\
org.apache.cxf.cxf-rt-bindings-soap;version='[3.2.5,3.3.0)',\
org.apache.cxf.cxf-rt-bindings-xml;version='[3.2.5,3.3.0)',\
org.apache.cxf.cxf-rt-databinding-aegis;version='[3.2.5,3.3.0)',\
org.apache.cxf.cxf-rt-databinding-jaxb;version='[3.2.5,3.3.0)',\
org.apache.cxf.cxf-rt-frontend-jaxrs;version='[3.2.5,3.3.0)',\
org.apache.cxf.cxf-rt-frontend-jaxws;version='[3.2.5,3.3.0)',\
org.apache.cxf.cxf-rt-frontend-simple;version='[3.2.5,3.3.0)',\
org.apache.cxf.cxf-rt-rs-client;version='[3.2.5,3.3.0)',\
org.apache.cxf.cxf-rt-rs-service-description-swagger;version='[3.2.5,3.3.0)',\
org.apache.cxf.cxf-rt-transports-http;version='[3.2.5,3.3.0)',\
org.apache.cxf.cxf-rt-wsdl;version='[3.2.5,3.3.0)',\
org.apache.cxf.cxf-core;version='[3.3.0,3.4.0)',\
org.apache.cxf.cxf-rt-bindings-soap;version='[3.3.0,3.4.0)',\
org.apache.cxf.cxf-rt-bindings-xml;version='[3.3.0,3.4.0)',\
org.apache.cxf.cxf-rt-databinding-aegis;version='[3.3.0,3.4.0)',\
org.apache.cxf.cxf-rt-databinding-jaxb;version='[3.3.0,3.4.0)',\
org.apache.cxf.cxf-rt-frontend-jaxrs;version='[3.3.0,3.4.0)',\
org.apache.cxf.cxf-rt-frontend-jaxws;version='[3.3.0,3.4.0)',\
org.apache.cxf.cxf-rt-frontend-simple;version='[3.3.0,3.4.0)',\
org.apache.cxf.cxf-rt-rs-client;version='[3.3.0,3.4.0)',\
org.apache.cxf.cxf-rt-rs-service-description-swagger;version='[3.3.0,3.4.0)',\
org.apache.cxf.cxf-rt-transports-http;version='[3.3.0,3.4.0)',\
org.apache.cxf.cxf-rt-wsdl;version='[3.3.0,3.4.0)',\
org.apache.ws.xmlschema.core;version='[2.2.3,2.2.4)',\
org.apache.felix.gogo.command;version='[1.0.2,1.0.3)',\
org.apache.felix.gogo.jline;version='[1.1.0,1.1.1)',\
@@ -156,7 +156,13 @@
</exclusion>
</exclusions>
</dependency>


<dependency>
<groupId>javax.xml.soap</groupId>
<artifactId>javax.xml.soap-api</artifactId>
<version>1.4.0</version>
</dependency>

<!-- Swagger dependencies -->
<dependency>
<groupId>org.webjars</groupId>
@@ -176,7 +182,7 @@
<dependency>
<groupId>org.apache.commons</groupId>
<artifactId>commons-lang3</artifactId>
<version>3.8.1</version>
<version>3.9</version>
</dependency>
<dependency>
<groupId>com.fasterxml.jackson.core</groupId>
@@ -242,7 +248,7 @@
<plugin>
<groupId>biz.aQute.bnd</groupId>
<artifactId>bnd-export-maven-plugin</artifactId>
<version>3.4.0</version>
<version>4.2.0</version>
<configuration>
<resolve>true</resolve>
<failOnChanges>false</failOnChanges>
@@ -20,6 +20,7 @@

import static org.ops4j.pax.exam.CoreOptions.composite;
import static org.ops4j.pax.exam.CoreOptions.mavenBundle;
import static org.ops4j.pax.exam.CoreOptions.systemPackage;
import static org.ops4j.pax.exam.CoreOptions.systemProperty;
import static org.ops4j.pax.exam.cm.ConfigurationAdminOptions.newConfiguration;

@@ -288,6 +289,16 @@ protected static MavenArtifactProvisionOption taskRESTImpl() {
protected static Option basicTestOptions() throws Exception {
return composite(CoreOptions.junitBundles(), //
MultiBundleTools.getDistro(), //
// javax.xml.soap is imported since CXF 3.3.0 (CXF-7872, commit a95593cf),
// so we must add it to mutli-bundle distro, but then we get a
// conflict with the one exported by framework system bundle (version $JDK)
// in this test, and removing a system bundle is a mess, so instead we export
// it again with our desired version number so everyone is happy
systemPackage("javax.xml.soap;version=1.4.0"),
// avoids "ClassNotFoundException: org.glassfish.jersey.internal.RuntimeDelegateImpl"
systemProperty("javax.ws.rs.ext.RuntimeDelegate")
.value("org.apache.cxf.jaxrs.impl.RuntimeDelegateImpl"),

mavenBundle("org.ops4j.pax.tinybundles", "tinybundles").versionAsInProject(),
mavenBundle("biz.aQute.bnd", "biz.aQute.bndlib").versionAsInProject(),

@@ -30,7 +30,7 @@
<osgi.version>6.0.0</osgi.version>
<osgi.compendium.version>6.0.0</osgi.compendium.version>
<aries.rsa.version>1.13.0</aries.rsa.version>
<cxf.version>3.2.9</cxf.version>
<cxf.version>3.3.2</cxf.version>
<felix.version>5.6.8</felix.version>
<zookeeper.version>3.4.14</zookeeper.version>
<servlet.version>3.0</servlet.version>

0 comments on commit 96315b1

Please sign in to comment.